> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Project

> 
Retrieve your Voiceflow project files. It will either be a:
  - `.vf` file which contains all the information of a project including details about blocks and steps in the diagrams.
  - `.vfr` file which includes a more concise version of the project in the `programs` property. We recommend to use this file for any programmatic analysis or integrating with third-party tooling.

In order to reliably use the `.vfr` file's `programs` property, we recommend selecting the "Publish" or "Run" button from the canvas after any updates to the project to ensure it is reflected in the file.




## OpenAPI

````yaml /specs/temp/project-api.json get /versions/{versionID}/export
openapi: 3.0.2
info:
  version: 1.0.1
  title: Project
  description: ''
servers:
  - url: https://api.voiceflow.com/v2
security: []
tags:
  - name: Project
  - name: Legacy transcripts API
paths:
  /versions/{versionID}/export:
    parameters:
      - schema:
          type: string
          example: 63204daf2c4a550006873772
        name: versionID
        in: path
        required: true
        description: >-
          Voiceflow project version ID. You can also use `'development'` to
          identify the version on canvas or `'production'` to identify the
          published version. However if using an alias this must be used in
          conjuction with the `projectid` header.
      - schema:
          type: string
          example: 63204daf2c4a550006873773
        name: projectid
        in: header
        required: false
        description: >-
          Voiceflow project ID. This is meant to be used in conjunction with a
          versionID alias on the path.
      - schema:
          type: boolean
          enum:
            - true
          example: true
        name: prototype
        in: query
        required: false
        description: If specified returns a `.vfr` file
    get:
      tags:
        - Project
      summary: Fetch Project
      description: >

        Retrieve your Voiceflow project files. It will either be a:
          - `.vf` file which contains all the information of a project including details about blocks and steps in the diagrams.
          - `.vfr` file which includes a more concise version of the project in the `programs` property. We recommend to use this file for any programmatic analysis or integrating with third-party tooling.

        In order to reliably use the `.vfr` file's `programs` property, we
        recommend selecting the "Publish" or "Run" button from the canvas after
        any updates to the project to ensure it is reflected in the file.
      operationId: fetchProject
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                Default Project:
                  value:
                    _version: '1.2'
                    project:
                      _id: 63204daf2c4a550006873771
                      name: Hello world
                      devVersion: 63204daf2c4a550006873772
                      platform: chatbot
                    version:
                      _id: 63204daf2c4a550006873772
                      variables: []
                      name: Initial Version
                      projectID: 63204daf2c4a550006873771
                      topics: []
                      domains: []
                    diagrams:
                      63204daf2c4a550006873773:
                        _id: 63204daf2c4a550006873777
                        name: Location
                        type: COMPONENT
                        zoom: 100
                        offsetX: 272
                        offsetY: 104
                        modified: 0
                        children:
                          - 6303862efce99e0009b2f101
                        variables: []
                        intentStepIDs: []
                        creatorID: 3
                        versionID: 63204daf2c4a550006873772
                        nodes:
                          6303862efce99e0009b2f101:
                            nodeID: 6303862efce99e0009b2f101
                            type: start
                            coords:
                              - 360
                              - 120
                            data:
                              name: ''
                              color: ''
                              portsV2:
                                byKey: {}
                                builtIn: {}
                                dynamic: []
                    programs:
                      63204daf2c4a550006873773:
                        commands: []
                        lines:
                          start00000000000000000000:
                            id: start00000000000000000000
                            type: start
                            nextId: 63037ec09f4c20d547b1bbf5
                          63037ec09f4c20d547b1bbf5:
                            id: 63037ec09f4c20d547b1bbf5
                            type: text
                            texts:
                              - id: oisn3gkl
                                content:
                                  - children:
                                      - text: Hello world!
                            nextId: null
                        name: ROOT
                        startId: start00000000000000000000
                        variables: []
                        id: 63204daf2c4a550006873773
                        versionID: 63204daf2c4a550006873772
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````